{% load i18n %}

{% block content %}
    <div id="menu" class="panel panel-default panel-main">
        <div class="panel-heading cst_pad_left">
            <button type="button" class="right toggle" title="{% trans "Colapsar/Expandir" %} {% trans "Menu" %}"><span class="glyphicon glyphicon-chevron-left"></span></button>
            <span style="margin-left: 5px;">
                <i class="cst_pad glyphicon glyphicon-tasks"></i>
                <span class="font-weight-bold">{% trans "Sistemas de Previsão" %}</span>
            </span>
        </div>
        <div class="panel-body main-body">
            <div id="accordion1" class="panel-group accordion">
                {% if not deploys %}
                    <div class="panel">
                        {% trans 'Sem Entradas' %}
                    </div>
                {% endif %}
                {% for obj in deploys %}
                <div class="panel">
                    <div class="row">
                        <div class="col-xs-8">
                            <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion1" href="#dep_{{ obj.id }}">
                                <span class="font-weight-bold highlight">ID:{{ obj.id }}</span> {{ obj.name }}
                            </a>
                        </div>
                        <div class="col-xs-4 text-right">
                            <label class="checkbox disabled">
                                <input id="chk_{{ obj.id }}" type="checkbox" disabled />
                                <span></span>
                            </label>
                            <button type="button" class="btn btn-primary btn-xs view" data-deploy="{{ obj.id }}" data-extent="{{ obj.extent }}" title="{% trans 'Mostrar/Esconder Fronteiras' %}">
                              <span class="glyphicon glyphicon-eye-open"></span>
                            </button>
                            <button id="bbox_{{ obj.id }}" type="button" class="btn btn-primary btn-xs bbox" data-extent="{{ obj.extent }}" title="{% trans 'Aproximar ao Tema' %}">
                              <span class="glyphicon glyphicon-zoom-in"></span>
                            </button>
                        </div>
                    </div>
                    <div id="dep_{{ obj.id }}" class="deploy panel-collapse collapse" data-deploy="{{ obj.id }}">
                        <div class="panel-body">
                            {% if obj.creator %}<span class="subtitle"><b>{% trans "Criado por" %}</b> {{ obj.creator }}</span>{% endif %}
                            <span class="subtitle">{{ obj.modelversion }} ({{ obj.run_type_str }})</span>
                            <ul class="nav nav-pills nav-justified" style="padding:5px 0;">
                                <li class="active">
                                    <a href="#dep_{{ obj.id }}_maps" role="tab" data-toggle="tab">
                                        <span class="glyphicon glyphicon-th"></span> <span class="font-weight-bold">{% trans "Mapas" %}</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="#dep_{{ obj.id }}_stations" role="tab" data-toggle="tab">
                                        <span class="glyphicon glyphicon-object-align-vertical"></span> <span class="font-weight-bold">{% trans "Estações" %}</span>
                                    </a>
                                </li>
                                <li>
                                    <a href="#dep_{{ obj.id }}_files" role="tab" data-toggle="tab">
                                        <span class="glyphicon glyphicon-file"></span> <span class="font-weight-bold">{% trans "Ficheiros" %}</span>
                                    </a>
                                </li>
                            </ul>

                            <div class="tab-content clearfix {% if obj.outputs|length <= 2 %}ctmscroll{% else %}ctmscroll_big{% endif %}">
                                <div id="dep_{{ obj.id }}_maps" class="tab-pane active">
                                    {% if '3d' in obj.run_type %}
                                    <div class="row">
                                        <div class="col-xs-6">
                                            <span id="period_{{ obj.id }}" class="small">[{% trans "sem dados" %}]</span>
                                        </div>
                                        <div class="col-xs-6 text-right">
                                            <div class="small">
                                                <label class="level" for="level_{{ obj.id }}">{% trans 'Nível' %}</label>
                                                <select class="level" id="level_{{ obj.id }}" data-deploy="{{ obj.id }}">
                                                {% for level in obj.levels %}
                                                    <option value="{{ level }}">{% if level == 1 %}{% trans 'Fundo' %} - {% elif level == obj.levels|length %}{% trans 'Superfície' %} - {% endif %}{{ level }}</option>
                                                {% endfor %}
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    {% else %}
                                    <span id="period_{{ obj.id }}" class="small">[{% trans "sem dados" %}]</span>
                                    {% endif %}
                                    <ul class="list-group ctm">
                                        {% for output in obj.outputs %}
                                        <li class="list-group-item ctm row">
                                            <div class="col-xs-8">
                                                <span class="font-weight-bold">{{ output.name }}{% if '3d' in obj.run_type and output.id == "elev" %} <i class="small">({% trans "Superfície" %})</i>{% endif %}</span>
                                            </div>
                                            <div class="col-xs-4 text-right">
                                                <span id="period_{{ obj.id }}-{{ output.id }}" class="small label label-warning"></span>
                                                <label class="checkbox" title="{% trans 'Alternar no mapa' %}">
                                                    <input id="{{ output.id }}" name="theme" type="checkbox" data-deploy="{{ obj.id }}" data-name="{{ output.name }}"
                                                           data-theme="{{ output.theme }}" data-style="{{ output.style }}" data-unit="{{ output.unit }}"
                                                           data-min="{{ output.min }}" data-max="{{ output.max }}" data-log="{{ output.log }}" />
                                                    <span></span>
                                                </label>
                                            </div>
                                        </li>
                                        {% endfor %}
                                    </ul>
                                </div>

                                <div id="dep_{{ obj.id }}_stations" class="tab-pane">
                                    {% if not obj.stations %}
                                        {% trans 'Sem Entradas' %}
                                    {% else %}
                                    <ul class="list-group ctm">
                                        {% for station in obj.stations %}
                                        <li class="list-group-item ctm row">
                                            <div class="col-xs-6">
                                                <i class="circle icon{{ station.type }}"></i>
                                                <span class="font-weight-bold">{{ station.name }}</span>
                                            </div>
                                            <div class="col-xs-6 text-right">
                                                <button type="button" class="btn btn-primary btn-xs view-popup" title="{% trans 'Adicionar/Remover séries' %}"
                                                        data-deploy="{{ obj.id }}" data-code="{{ station.code }}" data-name="{{ station.name }}" data-type="{{ station.type }}"
                                                        data-lat="{{ station.lat }}" data-lon="{{ station.lon }}">
                                                    <span class="glyphicon glyphicon-stats"></span>
                                                </button>
                                                <button type="button" class="btn btn-primary btn-xs view-stat" title="{% trans 'Mostrar/Esconder estação' %}"
                                                        data-deploy="{{ obj.id }}" data-code="{{ station.code }}" data-name="{{ station.name }}" data-type="{{ station.type }}"
                                                        data-lat="{{ station.lat }}" data-lon="{{ station.lon }}" data-cstation="{{ station.cstation }}"
                                                        data-source="{{ station.source }}" data-owner="{{ station.owner }}" data-params="{{ station.params }}">
                                                  <span class="glyphicon glyphicon-eye-open"></span>
                                                </button>
                                                <button type="button" class="btn btn-primary btn-xs zoomto" data-lat="{{ station.lat }}" data-lon="{{ station.lon }}"
                                                        title="{% trans 'Aproximar à estação' %}">
                                                  <span class="glyphicon glyphicon-zoom-in"></span>
                                                </button>
                                            </div>
                                        </li>
                                        {% endfor %}
                                    </ul>
                                    {% endif %}
                                </div>

                                <div id="dep_{{ obj.id }}_files" class="tab-pane">
                                    {% if not obj.files %}
                                        {% trans 'Sem Entradas' %}
                                    {% else %}
                                    <table class="files-table table table-responsive table-hover">
                                        <tbody>
                                            {% for file in obj.files %}
                                            <tr>
                                                <td>{{ file.date }}</td>
                                                <td><a target="_blank" href="{{ file.filepath }}">{{ file.name }}</a></td>
                                            </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="modal_{{ obj.id }}" class="modal fade" data-keyboard="false" area-hidden="true">
                    <div class="vertical-alignment-helper">
                      <div class="modal-dialog vertical-align-center">
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close fechar" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">{% trans "Fechar" %}</span></button>
                                <span class="modal-title"></span>
                                <input id="stat_code_{{ obj.id }}" type="hidden" />
                                <input id="stat_name_{{ obj.id }}" type="hidden" />
                                <input id="stat_type_{{ obj.id }}" type="hidden" />
                                <input id="stat_lat_{{ obj.id }}" type="hidden" />
                                <input id="stat_lon_{{ obj.id }}" type="hidden" />
                                <input id="stat_color_{{ obj.id }}" type="hidden" />
                            </div>
                            <div class="modal-body">
                                <div class="row">
                                    <div class="col-xs-6">
                                        <span class="small font-weight-bold">{% trans 'Variável' %}</span><br/>
                                        {% for output in obj.outputs %}
                                        <div class="small checkbox checkbox-primary">
                                            <input name="vars_{{ obj.id }}" value="{{ output.id }}" type="checkbox" class="styled" onchange="valVars(this);">
                                            <label>{{ output.name }}{% if '3d' in obj.run_type and output.id == "elev" %} <i class="small">({% trans "Superfície" %})</i>{% endif %}</label>
                                        </div>
                                        {% endfor %}
                                    </div>
                                    <div class="col-xs-6">
                                        <span class="small font-weight-bold">{% trans 'Níveis' %}</span><br/>
                                        {% if '3d' in obj.run_type %}
                                        {% for level in obj.levels %}
                                        <div class="small checkbox checkbox-primary">
                                            <input name="levels_{{ obj.id }}" value="{{ level }}" type="checkbox" class="styled">
                                            <label>{% if level == 1 %}{% trans 'Fundo' %} - {% elif level == obj.levels|length %}{% trans 'Superfície' %} - {% endif %}{{ level }}</label>
                                        </div>
                                        {% endfor %}
                                        {% else %}
                                        <div class="small checkbox checkbox-primary">
                                            <input name="levels_{{ obj.id }}" value="1" type="checkbox" class="styled">
                                            <label>{% trans 'Superfície' %} - 1</label>
                                        </div>
                                        {% endif %}
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                              <button class="btn btn-xs btn-secondary clear-modal" data-deploy="{{ obj.id }}">
                                  <span class="glyphicon glyphicon-minus-sign"></span> {% trans "Limpar seleção" %}
                              </button>
                              <button class="btn btn-xs btn-success add-charts" data-deploy="{{ obj.id }}">
                                  <span class="glyphicon glyphicon-plus-sign"></span> {% trans "Adicionar" %}
                              </button>
                              <br/>
                              <span class="small text-danger"></span>
                            </div>
                        </div>
                      </div>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
    </div>

{% endblock content %}